---
import { EArea } from '../enums/EArea';

interface Props {
  title: string;
}

const { title } = Astro.props,
    area = import.meta.env.PUBLIC_AREA ?? EArea.ORG,
    favicon = '/favicon-' + area + '.svg';
---

<!doctype html>
<html lang="ru" class="scroll-smooth">
  <head>
    <meta charset="UTF-8" />
    <meta name="description" content="Astro description" />
    <meta name="viewport" content="width=device-width" />
    <link rel="icon" type="image/svg+xml" href={favicon} />
    <link rel="preconnect" href="https://fonts.googleapis.com" />
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin />
    <link
      href="https://fonts.googleapis.com/css2?family=JetBrains+Mono:wght@400;500;600;700;800&display=swap"
      rel="stylesheet"
    />
    <meta name="generator" content={Astro.generator} />
    <title>{title}</title>
  </head>
  <body class="font-jetbrains text-neutral-900 dark:text-neutral-100 bg-neutral-100 dark:bg-neutral-900">
    <slot />
  </body>
</html>
